Page MenuHome

Cycles OpenImageDenoise makes Blender crash on MacOS
Closed, ResolvedPublicBUG

Description

System Information
Operating system: Darwin-18.7.0-x86_64-i386-64bit 64 Bits
Graphics card: AMD Radeon Pro Vega 64 OpenGL Engine ATI Technologies Inc. 4.1 ATI-2.11.22

Blender Version
Broken: version: 2.91.0 Alpha, branch: master, commit date: 2020-08-17 19:11, hash: rBc65c66320fc8
Broken: version: 2.90.0 Beta, branch: master, commit date: 2020-08-18 19:29, hash: rBd5b5b228e4d0
Worked: version 2.90.0 Alpha, branch: master, commit date: 2020-06-30 20:02, hash: a3e6b7c2ce06
(I did not test versions in between.)

Short description of error
Blender crashes every time I use OpenImageDenoise

Exact steps for others to reproduce the error
Open Blender
Load Factory Settings
Switch to Cycles Render Engine
Enable OpenImageDenoise in Viewport or Final Render
Switch to rendered preview or press F12 -> Blender crashes

The strange thing is that when I start Blender via the Terminal command

/Applications/Blender.app/Contents/MacOS/Blender ;

it just works fine.

Attached: MacOS crash report

Event Timeline

It looks like OIDN might have just fixed this upstream.
https://github.com/OpenImageDenoise/oidn/blob/master/CHANGELOG.md

Fixed incorrect detection of AVX-512 on macOS (sometimes causing a crash)

Germano Cavalcante (mano-wii) changed the task status from Needs Triage to Confirmed.Mon, Sep 14, 9:22 PM
Germano Cavalcante (mano-wii) changed the subtype of this task from "Report" to "Bug".

Here's a test build with a potential fix:
https://download.blender.org/ftp/brecht/builds/blender-macos-simd-fix0.dmg

Can you test if it helps? I don't have the right hardware to test this.

Here's a test build with a potential fix:
https://download.blender.org/ftp/brecht/builds/blender-macos-simd-fix0.dmg

Can you test if it helps? I don't have the right hardware to test this.

It works! Thank you Brecht!

I've tried that blender-macos-simd-fix0 test build in my Mac Pro 2010 with Radeon RX 560 and it keeps on crashing upon switching to Cycles. I attach a crash log.

MacPro5.1
6-Core Intel Xeon 3.46 GHz
32 GB RAM
Radeon RX 560 4096 MB